Main Page Widgets Namespaces Book

# Gdk::Image Class Reference

Inheritance diagram for Gdk::Image:

[legend]
List of all members.

## Public Member Functions
virtual | ~Image ()
GdkImage* | gobj ()
| Provides access to the underlying C GObject.
const GdkImage* | gobj () const
| Provides access to the underlying C GObject.
GdkImage* | gobj_copy ()
void | put_pixel (int x, int y, guint32 pixel)
guint32 | get_pixel (int x, int y) const
void | set_colormap (const Glib::RefPtr<Colormap>& colormap)
| Sets the colormap for the image to the given colormap.
Glib::RefPtr<Colormap> | get_colormap ()
| Retrieves the colormap for a given image, if it exists.
## Static Public Member Functions
Glib::RefPtr<Image> | create (ImageType type, const Glib::RefPtr<Visual>& visual, int width, int height)
## Protected Member Functions
| Image (ImageType type, const Glib::RefPtr<Visual>& visual, int width, int height)
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr<Gdk::Image> | wrap (GdkImage* object, bool take_copy=false)

## Constructor & Destructor Documentation

virtual Gdk::Image::~Image | ( |  | ) | `[virtual]`

Gdk::Image::Image | ( | ImageType | type,
|  | const Glib::RefPtr<Visual>& | visual,
|  | int | width,
|  | int | height
| ) | `[protected]`

## Member Function Documentation

Glib::RefPtr<Image> Gdk::Image::create | ( | ImageType | type,
|  | const Glib::RefPtr<Visual>& | visual,
|  | int | width,
|  | int | height
| ) | `[static]`

Glib::RefPtr<Colormap> Gdk::Image::get_colormap | ( |  | ) |

| Retrieves the colormap for a given image, if it exists. An image will have a colormap if the drawable from which it was created has a colormap, or if a colormap was set explicitely with set_colormap(). Returns: Colormap for the image.

guint32 Gdk::Image::get_pixel | ( | int | x,
|  | int | y
| ) | const

const GdkImage* Gdk::Image::gobj | ( |  | ) | const`[inline]`

| Provides access to the underlying C GObject. Reimplemented from Glib::ObjectBase.

GdkImage* Gdk::Image::gobj | ( |  | ) | `[inline]`

| Provides access to the underlying C GObject. Reimplemented from Glib::ObjectBase.

GdkImage* Gdk::Image::gobj_copy | ( |  | ) |

void Gdk::Image::put_pixel | ( | int | x,
|  | int | y,
|  | guint32 | pixel
| ) |

void Gdk::Image::set_colormap | ( | const Glib::RefPtr<Colormap>& | colormap | ) |

  | Sets the colormap for the image to the given colormap. Normally there's no need to use this function, images are created with the correct colormap if you get the image from a drawable. If you create the image from scratch, use the colormap of the drawable you intend to render the image to. Parameters:
  colormap | A Gdk::Colormap.

## Friends And Related Function Documentation

Glib::RefPtr<Gdk::Image> wrap | ( | GdkImage* | object,
|  | bool | take_copy = false
| ) | `[related]`

The documentation for this class was generated from the following file:

- gdk/gdkmm/image.h